> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search chart of accounts

> Returns the organization's chart of accounts as a list.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/accounts
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/accounts:
    get:
      tags:
        - Organizations
      summary: Search chart of accounts
      description: Returns the organization's chart of accounts as a list.
      operationId: searchAccounts
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/searchText'
        - $ref: '#/components/parameters/accountsInclude'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldList'
              example:
                Accounts:
                  value:
                    data:
                      - name: 1234 - ABC 1
                        id: ff80808198176f700198176f9cf3004c
                      - name: 95030 - ACCOUNT 2
                        id: ff80808198176f700198176f9cf2004b
                      - name: ab943 - ACCOUNT 3
                        id: ff80808198176f700198176f9cf3004e
                      - name: tax666 - Tax Account No
                        id: ff80808198176f700198176f9cf4004f
                    meta:
                      total: 4
                      count: 4
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    searchText:
      name: searchText
      in: query
      description: free text to search for
      required: false
      schema:
        type: string
    accountsInclude:
      name: include
      in: query
      description: >-
        Optional properties to include. Accounts optional data can be included
        by extending the accounts include keyword with the available optional
        parameters from the List expenses endpoint. E.g. meta.capabilities,
        meta.abbreviation etc.
      required: false
      schema:
        allOf:
          - $ref: '#/components/schemas/accountsIncludeEnum'
  schemas:
    CustomFieldList:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
            sections:
              $ref: '#/components/schemas/Section'
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldListValue'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    accountsIncludeEnum:
      type: array
      items:
        type: string
        enum:
          - meta.abbreviation
          - meta.capabilities
    Section:
      type: array
      items:
        properties:
          id:
            type: integer
          text:
            type: string
    CustomFieldListValue:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        section:
          type: integer
        icon:
          type: string
          format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````